//
//  HYDFristTableViewCell.m
//  IOS_百思不得姐
//
//  Created by mac on 17/1/12.
//  Copyright © 2017年 mac. All rights reserved.
//

#import "HYDFristTableViewCell.h"
#import "HYDSubscribeModel.h"

@interface HYDFristTableViewCell()
@property (nonatomic,strong) UIView *leftView;
@property (nonatomic,strong) UILabel *label;
@property (nonatomic,copy) NSString *str;

@end

@implementation HYDFristTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
}

-(id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    
    if (self == [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        
        self.leftView = [[UIView alloc]initWithFrame:CGRectMake(0, 0, 5,44)];
        [self.leftView setBackgroundColor:HYDColour(235, 21, 26)];
        self.leftView.hidden = YES;
        [self.contentView addSubview:self.leftView];
        
        self.label = [[UILabel alloc]init];
        [self.contentView addSubview:self.label];
        
        //cell被选择的状态
        self.selectionStyle = UITableViewCellSelectionStyleNone;
        
    }
    return self;
}

//-(void)layoutSubviews{
//
//    CGFloat height = [HYDSubscribeModel labelHeigh:self.str];
//
//    self.textLabel.frame = CGRectMake(8, 0, 54, height-2);
//
//}


-(void)creatData:(NSString *)str{
    
    CGFloat height = [HYDSubscribeModel labelHeigh:str];
    
    self.label.text = str;
    self.label.numberOfLines = 0;
    self.label.textAlignment = NSTextAlignmentCenter;
    [self.label setFont:[UIFont systemFontOfSize:16.0f]];
    self.label.frame = CGRectMake(8, 0, 54, height);
    self.leftView.height = height;
    
}



- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    self.leftView.hidden = !self.selected;
    self.label.textColor = self.selected ? HYDColour(235, 21, 29) : [UIColor blackColor];
}

@end
