
//  HYDSecondTableViewCell.m
//  IOS_百思不得姐
//
//  Created by mac on 17/1/12.
//  Copyright © 2017年 mac. All rights reserved.
//

#import "HYDSecondTableViewCell.h"
#import "UIImageView+WebCache.h"
#import "HYDRecommendUser.h"

@interface HYDSecondTableViewCell()

@property (weak, nonatomic) IBOutlet UIButton *attentionBtn;
@property (weak, nonatomic) IBOutlet UIImageView *header;
@property (weak, nonatomic) IBOutlet UILabel *name;
@property (weak, nonatomic) IBOutlet UILabel *fans;

@end

@implementation HYDSecondTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
   
    self.attentionBtn.layer.borderColor = [[UIColor clearColor]CGColor];
    self.attentionBtn.layer.borderWidth = 0.5f;
    self.attentionBtn.layer.cornerRadius = 5.0f;
    
    //cell被选择的状态
    self.selectionStyle = UITableViewCellSelectionStyleNone;

}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}



-(void)setUserModel:(HYDRecommendUser *)userModel{
    self.name.text = userModel.screen_name;
    self.fans.text = [NSString stringWithFormat:@"%@个粉丝",userModel.fans_count];
    [self.header sd_setImageWithURL:[NSURL URLWithString:userModel.header] placeholderImage:[UIImage imageNamed:@"defaultUserIcon"]];
}


@end
